# $Revision: 1.83 $, $Date: 2011/05/04 07:39:57 $
Summary:	Embeddable Lisp environment
Summary(es.UTF-8):	Ambiente LISP que se puede incluir
Summary(pl.UTF-8):	Środowisko do zagnieżdżania Lispa
Summary(pt_BR.UTF-8):	Ambiente LISP embutível
Summary(ru.UTF-8):	Встраиваемая среда LISP
Summary(uk.UTF-8):	Вбудовуване середовище LISP
Name:		librep
Version:	0.92.0
Release:	1
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	http://download.tuxfamily.org/librep/%{name}-%{version}.tar.xz
# Source0-md5:	7a79d2c61c76c55a42907f8fc209def6
Patch0:		%{name}-info.patch
Patch1:		%{name}-no_version.patch
Patch2:		%{name}-longdouble.patch
Patch3:		%{name}-config.patch
Patch4:		%{name}-am18.patch
URL:		http://librep.sourceforge.net/
BuildRequires:	autoconf >= 2.3-12
BuildRequires:	automake
BuildRequires:	gdbm-devel
BuildRequires:	gmp-devel >= 4.1-3
BuildRequires:	libffi-devel
BuildRequires:	readline-devel >= 5.0
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}

%description
This is a lightweight LISP environment for UNIX. It contains a LISP
interpreter, byte-code compiler and virtual machine. Applications may
use the LISP interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp.

%description -l es.UTF-8
Este es un ambiente LISP (sencillo, ocupa poca memoria y rápido) para
UNIX. Este paquete contiene un interpretador LISP, compilador de
byte-code y una máquinavirtual. Las aplicaciones pueden usar el
interpretador LISP como un lenguaje deextensión, o el interpretador
puede usarse para scripts separados.

Instalado originalmente en Emacs LISP, este dialecto combina muchos de
los recursos de elisp al mismo tiempo en que intenta eliminar algunas
de sus deficiencias, con recursos de Common LISP.

%description -l pl.UTF-8
To jest niewielkie środowisko LISP dla Uniksa. Zawiera interpreter
LISP-a, kompilator bytecodu i maszynę wirtualną. Aplikacje mogą używać
interpretera LISP-a jako rozszerzenia języka lub w oddzielnych
skryptach.

Oryginalnie zainspirowany przez Emacs Lisp, ten dialekt języka łączy
wiele cech elispa, próbując usunąć niektóre z głównych utrudnień, z
cechami Common Lispa.

%description -l pt_BR.UTF-8
Esse é um ambiente LISP leve para UNIX. Esse pacote contém um
interpretador LISP, compilador de byte-code e uma máquina virtual.
Aplicações podem usar o interpretador LISP como uma linguagem de
extensão, ou o interpretador pode ser usado para scripts isolados.

Originalmente inspirado pelo Emacs LISP, esse dialeto combina muitos
dos recursos do elisp ao mesmo tempo em que tenta remover algumas de
suas deficiências, com recursos do Common LISP.

%description -l ru.UTF-8
Librep - это диалект языка LISP для использования встроенным в другие
приложения или отдельно. Librep в большой степени (хотя и не
полностью) совместим с Emacs LISP. Librep содержит интерпретатор LISP,
байт-кодовый компилятор и виртуальную машину. Приложения могут
использвать интерпретатор LISP как язык расширения или для запуска
самостоятельных сценариев.

%description -l uk.UTF-8
Librep - це діалект мови LISP для використання вбудованим в інші
прикладні програми чи окремо. Librep великою мірою (хоча й не
повністю) сумісний з Emacs LISP. Librep містить інтерпретатор LISP,
байт-кодовий компілятор та віртуальну машину. Програми можуть
використовувати інтерпретатор LISP як мову розширення чи для запуску
відокремлених сценаріїв.

%package devel
Summary:	librep include files and link libraries
Summary(es.UTF-8):	Archivos de cabezamiento y bibliotecas para librep
Summary(pl.UTF-8):	Pliki nagłówkowe do librep
Summary(pt_BR.UTF-8):	Arquivos de cabeçalho e bibliotecas para o librep
Summary(ru.UTF-8):	Файлы для разработки программ, использующих librep
Summary(uk.UTF-8):	Файли для розробки програм з використанням librep
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gmp-devel >= 4.1-3
Obsoletes:	librep-jl

%description devel
Link libraries and C header and Lisp source files for librep
development.

%description devel -l es.UTF-8
Bibliotecas para enlace y archivos de encabezamiento para desarrollo
con librep.

%description devel -l pl.UTF-8
Pliki nagłówkowe i źródła Lispa do tworzenia programów z użyciem
librep.

%description devel -l pt_BR.UTF-8
Bibliotecas para ligação e arquivos de cabeçalho para desenvolvimento
com librep.

%description devel -l ru.UTF-8
Файлы для разработки программ с использованием librep. Librep - это
встраиваемый диалект LISP.

%description devel -l uk.UTF-8
Файли для розробки програм з використанням librep. Librep - це
вбудовуваний діалект LISP.

%package static
Summary:	librep static libraries
Summary(pl.UTF-8):	Biblioteki statyczne librep
Summary(ru.UTF-8):	Статические библиотеки librep
Summary(uk.UTF-8):	Статичні бібліотеки librep
Group:		Development/Languages
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Librep static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne librep.

%description static -l ru.UTF-8
Статические библиотеки для разработки программ с использованием
librep. Librep - это встраиваемый диалект LISP.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм з використанням librep.
Librep - це вбудовуваний діалект LISP.

%prep
%setup -q
%patch0 -p1
%{__sed} -i "s@\(rep\(common\|\)execdir='[^']*\)@\1/%{_host}@" configure.in
# %patch1 -p1
# %patch2 -p1
# %patch3 -p1
# %patch4 -p1

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	--enable-static
%{__make} \
	host_type=%{_host}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aclocaldir=%{_aclocaldir} \
	host_type=%{_host}

# remove useless static plugins
# *.la can be used to load plugins and may contain additional information
rm -f $RPM_BUILD_ROOT%{_libexecdir}/{,rep}/%{_host}/{,rep}/{,*{,/*}}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/rep
%attr(755,root,root) %{_bindir}/rep-remote
%attr(755,root,root) %{_bindir}/rep-xgettext
%attr(755,root,root) %{_bindir}/repdoc
%{_mandir}/man1/rep*.1*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/librep.so.*
%dir %{_datadir}/rep
%{_datadir}/rep/lisp
%exclude %{_datadir}/rep/lisp/*.jl
%exclude %{_datadir}/rep/lisp/*/*.jl
%exclude %{_datadir}/rep/lisp/*/*/*.jl
%exclude %{_datadir}/rep/lisp/*/*/*/*.jl
%exclude %{_datadir}/rep/lisp/*/*/*/*/*.jl
%dir %{_libexecdir}/rep
%dir %{_libexecdir}/rep/%{_host}
%{_libexecdir}/rep/%{_host}/doc-strings
%{_libexecdir}/rep/%{_host}/*.la
%dir %{_libexecdir}/rep/%{_host}/rep
%dir %{_libexecdir}/rep/%{_host}/rep/data
%dir %{_libexecdir}/rep/%{_host}/rep/i18n
%dir %{_libexecdir}/rep/%{_host}/rep/io
%dir %{_libexecdir}/rep/%{_host}/rep/io/db
%dir %{_libexecdir}/rep/%{_host}/rep/lang
%dir %{_libexecdir}/rep/%{_host}/rep/util
%dir %{_libexecdir}/rep/%{_host}/rep/vm
%attr(755,root,root) %{_libexecdir}/rep/%{_host}/*.so
%attr(755,root,root) %{_libexecdir}/rep/%{_host}/rep/*.so
%{_libexecdir}/rep/%{_host}/rep/*.la
%attr(755,root,root) %{_libexecdir}/rep/%{_host}/rep/*/*.so
%{_libexecdir}/rep/%{_host}/rep/*/*.la
%attr(755,root,root) %{_libexecdir}/rep/%{_host}/rep/*/*/*.so
%{_libexecdir}/rep/%{_host}/rep/*/*/*.la

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%dir %{_includedir}/rep
%{_includedir}/rep/*.h
%{_pkgconfigdir}/librep.pc
%attr(755,root,root) %{_libexecdir}/rep/%{_host}/emulate-gnu-tar
%attr(755,root,root) %{_libexecdir}/rep/%{_host}/libtool
%attr(755,root,root) %{_libexecdir}/rep/%{_host}/install-aliases
%{_libexecdir}/rep/%{_host}/rules.mk
%{_infodir}/librep*
%{_datadir}/rep/lisp/*.jl
%{_datadir}/rep/lisp/*/*.jl
%{_datadir}/rep/lisp/*/*/*.jl
%{_datadir}/rep/lisp/*/*/*/*.jl
%{_datadir}/rep/lisp/*/*/*/*/*.jl

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: librep.spec,v $
Revision 1.83  2011/05/04 07:39:57  uzsolt
- 0.92.0 (many small modifications)
- disable patch 1,2,3,4

Revision 1.82  2011/01/29 00:06:55  sparky
- dropped pre-cvs changelog

Revision 1.81  2008/01/24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.80  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.79  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.78  2005/09/17 10:25:18  arekm
- rebuild with readline 5.0

Revision 1.77  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.76  2004/10/24 12:05:15  paladine
- spelling fix

Revision 1.75  2004/03/15 18:39:04  qboosh
- added am18 patch, release 3

Revision 1.74  2004/03/15 11:35:16  qboosh
- release 2

Revision 1.73  2004/03/15 11:21:47  qboosh
- missing dir

Revision 1.72  2004/03/14 21:18:16  qboosh
- added longdouble and config patches, updated files, BR: libffi-devel

Revision 1.71  2004/03/14 18:29:18  qboosh
- refresh config.sub for amd64, strict internal deps

Revision 1.70  2004/02/14 20:01:30  eothane
- up to 0.17

Revision 1.69  2003/11/11 02:31:01  qboosh
- BR: automake (only for _aclocaldir macro expansion)

Revision 1.68  2003/06/27 13:10:47  mmazur
- mass commit; now req: name = epoch:version

Revision 1.67  2003/06/27 12:42:57  misi3k
- std sf url

Revision 1.66  2003/05/27 10:33:31  trojan
- added Source-md5

Revision 1.65  2003/05/25 05:50:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.64  2003/03/03 14:25:49  trojan
- updated to 0.16.2

Revision 1.63  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.62  2002/11/25 14:17:00  ankry
- massive attack: no need for 755 for *.la

Revision 1.61  2002/10/24 20:35:24  malekith
- release 2

Revision 1.60  2002/09/25 09:25:13  ankry
- updated to 0.16.1, rel.1

Revision 1.59  2002/09/25 08:45:08  ankry
- removed LIBOBJS from configure.in (patch2)

Revision 1.58  2002/08/18 12:06:47  kloczek
- release 6: correction in {Build,}Requires rules for gmp-devel (>=4.1-3).

Revision 1.57  2002/08/16 23:51:09  qboosh
- added missing dir, release 5

Revision 1.56  2002/05/21 23:13:51  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.55  2002/05/10 21:25:44  kloczek
- release 4: merge translations from KSI and Conectiva.

Revision 1.54  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/02/08 22:17:39  filon
- added passing real _host value to make (needed for athlon)
- release 3

Revision 1.52  2002/01/18 02:13:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.51  2001/12/04 15:20:59  qboosh
- pl translations, cosmetics; release 2

Revision 1.50  2001/10/29 21:23:39  kloczek
- updated to 0.15.2.

Revision 1.49  2001/10/24 12:30:38  misiek
- bug fix release (sawfish was crashing due to bugs in librep!)

Revision 1.48  2001/10/03 21:53:50  kloczek
- updated to 0.15.

Revision 1.47  2001/08/10 21:04:35  kloczek
- release 3: added gmp-devel ro Requires list in devel subpackage.

Revision 1.46  2001/08/10 18:11:42  kloczek
- added config.h.in patch with workaroud in autoheader suit.

Revision 1.45  2001/08/10 17:22:11  kloczek
- release 2: rebuild against gmp 3.1.1.

Revision 1.44  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %%p{re,ost}{,un}

Revision 1.42  2001/07/03 11:14:54  kloczek
- updated to 0.14.

Revision 1.41  2001/05/20 09:57:42  kloczek
- bump reelase to 3.

Revision 1.40  2001/04/13 23:28:00  baggins
- one more %%files update

Revision 1.39  2001/04/13 23:26:56  baggins
- updated %%files

Revision 1.38  2001/04/13 23:17:30  baggins
- release 2
- libexec -> lib

Revision 1.37  2001/04/13 20:54:46  kloczek
- updated to 0.13.6.

Revision 1.36  2001/04/13 00:00:12  kloczek
- release 2,
- added missing readline-devel to BuildRequires,
- rebuild against readline 4.2.
TODO: separate gdbm, readline modules into subpackages.

Revision 1.35  2001/03/23 00:47:40  kloczek
- updated to 0.13.5.

Revision 1.34  2001/03/19 21:24:03  misiek
- repdoc can't be member of main and devel package

Revision 1.33  2001/01/05 04:33:13  kloczek
- updated to 0.13.4.

Revision 1.32  2000/12/22 06:55:09  kloczek
- release 2, Epoch: 1 (for allow upgrade from RH version).

Revision 1.31  2000/12/05 07:26:53  kloczek
- updated to 0.13.3.

Revision 1.30  2000/11/02 04:28:12  wrobell
- updated build requires
- updated file list

Revision 1.29  2000/10/24 02:22:05  kloczek
- updated to 0.13.2,
- merged jl subpackage into devel (in real this is devel stuff).

Revision 1.28  2000/10/01 06:24:10  kloczek
- release 3,
- added missing %%{_libexecdir}/rep/%%{_host}/install-aliases to devel.

Revision 1.27  2000/09/30 20:51:37  kloczek
- release 2,
- uncomment installing rep_config.h.

Revision 1.26  2000/09/28 19:48:05  kloczek
- updated to 0.13.1,
- use rpm new automation suite.

Revision 1.25  2000/09/26 12:38:43  kloczek
- release 4,
- added few missing files.

Revision 1.24  2000/09/26 07:14:40  kloczek
- release 3,
- added no_verion patch,
- revisited %%files list.

Revision 1.23  2000/09/21 23:21:45  kloczek
- release 2,
- fix: added rep_config.h to devel (seems this version is slightly buggy
  because this file is not installed).

Revision 1.22  2000/09/21 20:14:26  kloczek
- updated to 0.13.

Revision 1.21  2000/07/21 23:29:23  kloczek
- updated to 0.12.4,
- fixed Source url.

Revision 1.20  2000/07/04 19:06:49  kloczek
- new Source url.

Revision 1.19  2000/06/29 21:32:23  kloczek
- release 2,
- gmp-devel added to BuildRequires,

Revision 1.18  2000/06/25 20:23:54  kloczek
- updated to 0.12.2.

Revision 1.17  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.14  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.13  2000/05/15 19:42:48  kloczek
- release 2,
- spec adapterized.

Revision 1.12  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %%pre/post is executed only when info is already
  installed

Revision 1.11  2000/04/19 02:01:18  kloczek
- updated to 0.11.3,
- added "BuildRequires: gdbm-devel".

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/30 03:07:12  kloczek
- release 2,
- added using %%{_aclocaldir} macro.

Revision 1.8  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.7  2000/03/15 12:25:44  michuz
- updated to 0.11.1

Revision 1.6  2000/03/06 09:15:17  kloczek
- added --enable-static to ./configure parameters.

Revision 1.6  2000/03/06 09:15:17  kloczek
- added --enable-static to ./configure parameters.

Revision 1.5  2000/03/06 08:45:30  kloczek
- updated to 0.11,
- updated %%files list.

Revision 1.4  2000/01/21 18:32:28  kloczek
- added missing lib*.so* files.

Revision 1.3  2000/01/21 16:17:46  kloczek
- typo.

Revision 1.2  2000/01/21 16:01:32  kloczek
- updated to 0.10 and completely rewrited in PLD style.
